Zum Hauptinhalt springen
POST
/
v1
/
audios
/
generations
curl --request POST \ --url https://api.evolink.ai/v1/audios/generations \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "model": "suno-persona", "model_params": { "source_task_id": "task-unified-1774169216-ocqaqde7", "result_id": "4fcc4507-a7ae-4441-ad8a-465c2f61d5bb", "name": "Electronic Pop Singer", "description": "Modern electronic style with energetic beats and synthesizer tones for dance music" } } '
{ "created": 1774170584, "id": "task-unified-1774170584-su75smg7", "model": "suno-persona", "object": "audio.generation.task", "progress": 0, "status": "pending", "task_info": { "can_cancel": false, "estimated_time": 15 }, "type": "audio", "usage": { "billing_rule": "per_call", "credits_reserved": 1, "user_group": "default" } }

Documentation Index

Fetch the complete documentation index at: https://docs.evolink.ai/llms.txt

Use this file to discover all available pages before exploring further.

Autorisierungen

Authorization
string
header
erforderlich

##Alle APIs erfordern Bearer-Token-Authentifizierung##

API-Schlüssel erhalten:

Besuchen Sie die API-Schlüsselverwaltungsseite, um Ihren API-Schlüssel zu erhalten

Zum Anfrage-Header hinzufügen:

Authorization: Bearer YOUR_API_KEY

Body

application/json
model
enum<string>
erforderlich

Modellname, fest als suno-persona

Verfügbare Optionen:
suno-persona
Beispiel:

"suno-persona"

model_params
object
erforderlich

Persona-Erstellungsparameter

Antwort

Persona-Erstellungsaufgabe erfolgreich übermittelt

created
integer

Zeitstempel der Aufgabenerstellung

Beispiel:

1774170584

id
string

Aufgaben-ID, wird zur Abfrage des Aufgabenstatus und der Ergebnisse verwendet

Beispiel:

"task-unified-1774170584-su75smg7"

model
string

Tatsächlich verwendeter Modellname

Beispiel:

"suno-persona"

object
enum<string>

Aufgabentyp

Verfügbare Optionen:
audio.generation.task
progress
integer

Aufgabenfortschritt in Prozent (0-100)

Erforderlicher Bereich: 0 <= x <= 100
Beispiel:

0

status
enum<string>

Aufgabenstatus

Verfügbare Optionen:
pending,
processing,
completed,
failed
Beispiel:

"pending"

task_info
object

Audio-Aufgabendetails

type
enum<string>

Aufgaben-Ausgabetyp

Verfügbare Optionen:
audio
Beispiel:

"audio"

usage
object

Nutzungs- und Abrechnungsinformationen